# Class yii\base\InvalidParamException

Inheritance | yii\base\InvalidParamException » BadMethodCallException
Subclasses | yii\base\InvalidArgumentException, yii\base\ViewNotFoundException
Available since version | 2.0
Deprecated since version | since 2.0.14. Use [[InvalidArgumentException]] instead.
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/InvalidParamException.php

InvalidParamException represents an exception caused by invalid parameters passed to a method.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\InvalidParamException

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception